class Funzioni{
	public static boolean isNumeroPrimo(long n) 
		throws RangeException {
		if (n<0) 
		  throw new RangeException("Numero negativo!");
		if (n%2==0) return false;
		long radiceDiN= (long)(Math.sqrt((double) n ))+1;
		for (long i=3; i<=radiceDiN;i+=2)
			if (n%i ==0) return false;       
		return true;
	}
}
